/*
 * 3D Engine 
 * triangle.h: 
 * Based on pikuma.com 3D software renderer in C
 * Copyright (c) 2021 986-Studio. All rights reserved.
 *
 * Created by Manoël Trapier on 04/03/2021.
 */

#ifndef THREEDENGINE_SOURCE_INCLUDE_TRIANGLE_H
#define THREEDENGINE_SOURCE_INCLUDE_TRIANGLE_H

#include <vector.h>

/***********************************************************************************************************************
 * Data types
 **********************************************************************************************************************/

typedef struct face_t
{
    int a, b, c;
} face_t;

typedef struct triangle_t
{
    vec2_t points[3];
} triangle_t;

/***********************************************************************************************************************
 * Prototypes
 **********************************************************************************************************************/

#endif /* THREEDENGINE_SOURCE_INCLUDE_TRIANGLE_H */
