/*
 * 3D Engine 
 * mesh.h: 
 * Based on pikuma.com 3D software renderer in C
 * Copyright (c) 2021 986-Studio. All rights reserved.
 *
 * Created by Manoël Trapier on 04/03/2021.
 */

#ifndef THREEDENGINE_SOURCE_INCLUDE_MESH_H
#define THREEDENGINE_SOURCE_INCLUDE_MESH_H

#include <vector.h>
#include <triangle.h>

/***********************************************************************************************************************
 * Global variables
 **********************************************************************************************************************/

#define N_MESH_VERTICES (8)
extern vec3_t meshVertices[N_MESH_VERTICES];

#define N_MESH_FACES (6 * 2)
extern face_t meshFaces[N_MESH_FACES];

#endif /* THREEDENGINE_SOURCE_INCLUDE_MESH_H */
